/* svg
/* svg { */
  /*shape-rendering: geometricPrecision;
  text-rendering: optimizeSpeed;*/
 /* text-rendering: geometricPrecision; maybe set on text element ? text-rendering="geometricPrecision"  */    
/*}*/
/*
shape-rendering: crispEdges;
shape-rendering: optimizeSpeed;
shape-rendering: geometricPrecision
font-smoothing: antialiased;  
*/

/* tags */
/* .tag {*/
  /*stroke-dasharray: 2,1; 
    opacity:1;    */
/* }*/
.shattered {
    stroke-dasharray: 1.34,0.5;
}
.reinforced {
  /*stroke-dasharray: 1.72,0.82;*/
    stroke-dasharray: 1.34,0.5;
}
.freeport {
  /*stroke-dasharray: 1.72,0.82;*/
    stroke-dasharray: 0.52,0.52;
}
.vulnerable {
  /*stroke-dasharray: 1.72,0.82;*/
    stroke-dasharray: 1.34,0.5;
    /* opacity:0.3 !important;*/  
}
.svcAtt {
  pointer-events: none;
}

/* chain map*/
.jmpCircle {
    stroke: #ffffff;
    stroke-width: calc(0.3px*var(--lw_multi));
    stroke-opacity: 0.2; /*0.01*/  
    fill: none;
}
.jmpCircleNum {
    /*font-size: 20px; /*40*/
    stroke: none;
    fill: #ffffff;
    fill-opacity: 0.04; /*0.02*/  
    font-weight: normal;
    vertical-align: baseline;
}
.jmpBorderLine {
    stroke-width: 0.02;
    /*stroke-opacity: 0.5;*/
    /*stroke-dasharray: 0.33,0.33;*/
}
/* connections */
/* .lnk { */
/* } */
.grid_bg {
  pointer-events: none;
}
.l_hit {
  stroke-width: 9; /* was 4 when non-transparent // was 9 transparent */
}
.l {
  stroke: #CCC; 
  stroke-width: calc(0.7px*var(--lw_multi));
}
.l_c {
  stroke: #666; 
  stroke-width: calc(0.7px*var(--lw_multi));
}
.l_r {
stroke-dasharray: 4,2 ;
  stroke: #666; 
  stroke-width: calc(0.7px*var(--lw_multi));
}
.l_jb { /* remove here and d3_draw after connection redraw implementation */
  stroke-width: calc(0.91px*var(--lw_multi));
}
.l_w { /* remove here and d3_draw after connection redraw implementation */
stroke: #519af9; 
  stroke-width: calc(0.91px*var(--lw_multi));
}
.l_w_m_0 {
  stroke-width: calc(0.91px*var(--lw_multi)); 
}
.l_w_m_1 {
  stroke-width: calc(0.91px*var(--lw_multi));
  stroke-dasharray: 4,2 ;  
}
.l_w_m_2 {
  stroke-width: calc(0.91px*var(--lw_multi));
  stroke-dasharray: 2,6 ;  
}
.l_w_m_3 {
  stroke-width: calc(0.91px*var(--lw_multi));
  stroke-dasharray: 1,2;
}
.l_w_m_4 {
  stroke-width: calc(0.91px*var(--lw_multi));
  /*stroke: #9a41ff !important; */
}
.l_t {
  stroke-width: calc(0.7px*var(--lw_multi));
stroke: #888;
  stroke-dasharray: 5,7;
}
.l_s {
  stroke-width: calc(0.7px*var(--lw_multi));
stroke: #888;
}	
.l_lim {
  stroke-width: calc(0.7px*var(--lw_multi));
stroke: rgba(255, 0, 25,0); /* 0.2 */
  /*stroke-dasharray: 5,7;*/
}
.l_ttag {
  stroke-width: calc(0.7px*var(--lw_multi));
color: #666;
  font-family: "EEMfont";
font-size: 0.65rem;
}
.l_conntxt {
  font-family: "EEMfont";
  letter-spacing: 0.05;
}
.cm {
  fill:transparent;
  stroke-width: calc(1px*var(--lw_multi));
  stroke: #519af9; 
}
.jmpd {
  stroke-width: calc(2px*var(--lw_multi));
  stroke-dasharray: 10,2 ;  
}   

/* solarsystems */
.n_bg {
	stroke: none;
	fill: #000;	
}
.n {
	fill: #FFF;	
	stroke: #FFF;
  stroke-width: 0.46;   
}

/* svg labels */
.lbl {
	pointer-events: none; 
}	
.lbl_n {
  font-family: "EEMfont"; /*EEMfontMedium*/
  text-transform: uppercase;
  letter-spacing: 0.4px;
  font-weight: normal;
  /*text-shadow: -1px 0 black, 0 1px black,1px 0 black, 0 -1px black;*/
}
.lbl_c {
	text-transform: uppercase;
    letter-spacing: 0.2px;
    font-weight: normal;
}
.lbl_e {
    font-family: "EEMfont";
    letter-spacing: 0px; /*0.2*/
    font-weight: normal;
}
.lbl_r {
    font-family: "EEMfont";
    letter-spacing: 0px;
    font-weight: normal;
}
.lbl_y {
    font-family: "EEMfont";
    font-weight: normal;
}
.lbl_sector {
  font-family: "EEMfont";
  font-weight: normal;
}
/* sectors */
.sector {
    pointer-events: none;
}
.sector_sdu {
  pointer-events: none;
}
.sector_txt {
  font-family: "EEMfont";
  pointer-events: none;
}
.sector_sdu_txt {
  font-family: "EEMfont";
  pointer-events: none;
}

::-webkit-search-cancel-button{
  position:relative;
  right: -10px;  
  -webkit-appearance: none;
  background-image: url("/img/icon/png/smaller_x_b.png");
  background-repeat: no-repeat;
  width: 14px;
  height: 14px;
  cursor: pointer;
  opacity: 0.35;
}

.dt_searchInput_w::-webkit-search-cancel-button {
  position:relative;
  right: -10px;  
  -webkit-appearance: none;
  background-image: url("/img/icon/png/smaller_x_w.png");
  background-repeat: no-repeat;
  width: 14px;
  height: 14px;
  cursor: pointer;
  opacity: 0.35;
}

.inpt_db::-webkit-search-cancel-button {
  position:relative;
  right: -5px;  
  -webkit-appearance: none;
  background-image: url("/img/icon/png/smaller_x_w.png");
  background-repeat: no-repeat;
  width: 14px;
  height: 14px;
  cursor: pointer;
  opacity: 0.35;
}

/** Switch
 -------------------------------------
.switch-container {
  height: 20px;
  margin: auto;
  text-align: center;
  pointer-events: all !important;
  padding-bottom: 3px;
}

.switch input {
  position: absolute;
  opacity: 0;
}

.switch {
  display: inline-block;
  height: 12px;
  width: 22px;
  border: 1px solid #969696;
  border-left-width: 0px !important;
  background: #000;
  border-radius: 0px 2px 2px 0px;
}

.switch div {
  margin-top: 1px;
  margin-left: 1px;
  height: 10px;
  width: 10px;
  border-radius: 0px 2px 2px 0px;
  background: #FFF;
  box-shadow: 0 0.1em 0.3em rgba(0,0,0,0.3);
  -webkit-transition: all 300ms;
     -moz-transition: all 300ms;
          transition: all 300ms;
}

.switch input:checked + div {
  -webkit-transform: translate3d(100%, 0, 0);
     -moz-transform: translate3d(100%, 0, 0);
          transform: translate3d(100%, 0, 0);
}
*/